=== debian/changelog ===
taglib (2.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version to 4.7.3.
  * debian/copyright: Update information.
  * debian/libtag2.symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Thu, 19 Feb 2026 11:59:25 -0500
