=== debian/control ===
Source: taglib
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-pkgkde-symbolshelper,
 cmake,
 libcppunit-dev <!nocheck>,
 libutfcpp-dev,
 pkgconf,
 zlib1g-dev,
Build-Depends-Indep:
 doxygen <!nodoc>,
 graphviz <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://taglib.org/
Vcs-Git: https://salsa.debian.org/multimedia-team/taglib.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/taglib
Description: audio meta-data library
 TagLib is a library for reading and editing audio meta data, commonly know as
 tags.
 .
  - A clean, high level, C++ API to handling audio meta data.
  - Format specific APIs for advanced API users.
  - ID3v1, ID3v2, APE, FLAC, Xiph, iTunes-style MP4 and WMA tag formats.
  - MP3, MPC, FLAC, MP4, ASF, AIFF, WAV, TrueAudio, WavPack, Ogg FLAC, Ogg
    Vorbis, Speex and Opus file formats.
  - Basic audio file properties such as length, sample rate, etc.
  - Long term binary and source compatibility.
  - Extensible design, notably the ability to add other formats or extend
  - current formats as a library user.
  - Full support for unicode and internationalized tags.
  - Dual MPL and LGPL licenses.
  - No external toolkit dependencies.

Package: libtag-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libtag-c-dev (= ${binary:Version}),
 libtag2 (= ${binary:Version}),
 zlib1g-dev,
 ${misc:Depends},
Breaks:
 libtag1-dev (<< 2),
Replaces:
 libtag1-dev (<< 2),
Provides:
 libtag1-dev,
Description: ${source:Synopsis} - development files
 ${source:Extended-Description}
 .
 This is the development package which contains headers for the TagLib Audio
 Meta-Data Library.

Package: libtag-c-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libtag-c2 (= ${binary:Version}),
 libtag-dev (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 libtagc0-dev (<< 2),
Replaces:
 libtagc0-dev (<< 2),
Provides:
 libtagc0-dev,
Description: ${source:Synopsis} - development files for C bindings
 ${source:Extended-Description}
 .
 This is the development package which contains headers for the TagLib Audio
 Meta-Data Library (C bindings).

Package: libtag-c2
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} - C bindings
 ${source:Extended-Description}
 .
 This is the runtime package for programs that use the TagLib Audio Meta-Data
 Library (C bindings).

Package: libtag-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends:
 libjs-jquery,
 ${misc:Depends},
Suggests:
 libtag-dev,
Description: ${source:Synopsis} - API documentation
 ${source:Extended-Description}
 .
 This is the documentation package which contains API documentation for the
 TagLib Audio Meta-Data Library.

Package: libtag1-dev
Section: oldlibs
Architecture: any
Depends:
 libtag-dev (= ${binary:Version}),
 ${misc:Depends},
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libtag2
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This is the runtime package for programs that use the TagLib Audio Meta-Data
 Library.
